Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4628 - wu-ftp-2.4.2vr17-3 caused the kernel to crash
Summary: wu-ftp-2.4.2vr17-3 caused the kernel to crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: http://www.visi.com/~brynn/ftpcrash.txt
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-20 16:07 UTC by brynn
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description brynn 1999-08-20 16:07:15 UTC
Testing a product that does a lot of ftp transfers  (about
200,000 files were transfered over a few days), with my
linux 2.2.10 SMP redhat 6.0  box acting as the server
crashed [kernel panic] my box

Here is the kernel message:

Aug 16 18:00:33 dilbert ftpd[21442]: FTP LOGIN FROM
130.151.18.243 [130.151.18.243], arkadiy
Aug 16 18:00:34 dilbert kernel: Unable to handle kernel NULL
pointer dereference at virtual address 00000000
Aug 16 18:00:34 dilbert kernel: current->tss.cr3 = 06335000,
%cr3 = 06335000
Aug 16 18:00:34 dilbert kernel: *pde = 00000000
Aug 16 18:00:34 dilbert kernel: Oops: 0000
Aug 16 18:00:34 dilbert kernel: CPU:    1
Aug 16 18:00:34 dilbert kernel: EIP:
0010:[tcp_v4_rehash+227/344]
Aug 16 18:00:34 dilbert kernel: EFLAGS: 00010287
Aug 16 18:00:34 dilbert kernel: eax: 00000170   ebx:
c7a7d400   ecx: c74d1b70   edx: 00000000
Aug 16 18:00:34 dilbert kernel: esi: 00000001   edi:
c7a7d420   ebp: 00000000   esp: c74d7f6c
Aug 16 18:00:34 dilbert kernel: ds: 0018   es: 0018   ss:
0018
Aug 16 18:00:34 dilbert kernel: Process in.ftpd (pid: 21442,
process nr: 106, stackpage=c74d7000)
Aug 16 18:00:34 dilbert kernel: Stack: 40184008 c01717ce
c7a7d400 c33d56ec c74d6000 c014e83e c33d56ec 00000001
Aug 16 18:00:34 dilbert kernel:        00000003 00000002
c014f494 c014f4fb 00000007 00000001 c74d6000 00000007
Aug 16 18:00:34 dilbert kernel:        00000001 bfffecc0
00000000 00000000 00000000 c0109f74 00000004 bfffec90
Aug 16 18:00:34 dilbert kernel: Call Trace:
[inet_listen+138/240] [sys_listen+70/112]
[sys_socketcall+52/480] [sys_socketcall+155/480]
[system_call+52/56]
Aug 16 18:00:34 dilbert kernel: Code: 66 39 0a 75 f8 8b 4a
08 85 c9 75 21 80 7b 2e 00 74 0f 8a 43
Aug 20 09:05:20 dilbert syslogd 1.3-3: restart.


somebody lost a pointer somewhere.   In the ftp xferlog
shortly before the crash [5 seconds] there were many null's
placed in the xferlog, implying it was already trashed at
that point.   I will put more logs in the attached url.   I
have upgraded to version 2.5 but nothing I found implied
that any such bugs were fixed.

Brynn

Comment 1 Jeff Johnson 1999-08-21 15:31:59 UTC
This is a kernel problem.


Note You need to log in before you can comment on or make changes to this bug.